Static Video Files
Get public Web Video file
PeerTube >= 6.0
Parameters
filenamestringrequiredpathFilename
Response
successful operation
not found
Get private Web Video file
PeerTube >= 6.0
Parameters
filenamestringrequiredpathFilename
videoFileTokenstringqueryVideo file token generated by PeerTube so you don't need to provide an OAuth token in the request header.
Response
successful operation
invalid auth
not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Get public HLS video file
Parameters
filenamestringrequiredpathFilename
Response
successful operation
invalid auth
not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Get private HLS video file
Parameters
filenamestringrequiredpathFilename
videoFileTokenstringqueryVideo file token generated by PeerTube so you don't need to provide an OAuth token in the request header.
reinjectVideoFileTokenbooleanqueryAsk the server to reinject videoFileToken in URLs in m3u8 playlist
Response
successful operation
invalid auth
not found
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
